
Figure - Bug #117621
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】小窗启动动画实现
2023-04-21 14:11 - CD TEST-方永红

Status: ASSIGNED Start date: 2023-04-21

Priority: Normal Due date: 2023-05-19

Assignee: CD FW 曹覃刚 % Done: 50%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1、点击DOCK栏or桌面强制小窗应用图标or普通应用弹窗中的小窗按钮

【预期结果】

1、有小窗启动动画效果

【实际结果】

1、无小窗启动动画效果

History

#1 - 2023-05-09 16:50 - CD APP-王营

- Status changed from New to ASSIGNED

■ Current conclusion

目前已经添加了启动动画的代码，提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/195322

此动画在左手模式下启动有一点小瑕疵，正在调试中

■ Next action

优化左手模式下小窗的启动动画

#2 - 2023-05-12 09:57 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD FW王武军

请武军帮忙看一下这个问题。

2025-08-17 1/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/195322


#3 - 2023-05-16 19:06 - CDTS-TEST 周婷

- Due date set to 2023-05-19

#4 - 2023-05-17 20:04 - CD APP-王营

- Assignee changed from CD FW王武军 to CD APP-王宏

#5 - 2023-05-18 13:57 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

目前已经分析了初始位置和结束位置，都是正确的，但是左手模式和右手模式的表现却不一样。

又根据 https://share.thundersoft.com/redmine/issues/117995 后续启动都为小窗后的左手表现，跟目前的情况一致，

故此现象是正常的，可以入库

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/195322

#6 - 2023-05-22 20:44 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

【当前状态】

左手模式下小窗启动动画需要调试，正在分析

【下一步】

分析动画实现流程和左手模式异常原因

#7 - 2023-06-27 16:33 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#8 - 2023-10-27 10:19 - CD FW-廖涛

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚
